Skip to content
💡 Want to test this API interactively? Open API Playground ↗

Send IM Message ​

Send an instant message to a buyer.

Basic Information ​

PropertyValue
MethodPOST
Path/seller/im/send-msg
AuthenticationBearer Token
Content-Typeapplication/json

Request Headers ​

HeaderTypeRequiredDescription
AuthorizationstringYesBearer <accessToken>

Request Body Parameters ​

ParameterTypeRequiredDescription
buyerIdintegerYesBuyer ID
msgRandomintegerYesMessage random number (32-bit unsigned integer). Used for deduplication of messages within the same second
msgBodyobjectYesMessage body
msgBody.msgTypestringYesMessage type (see below)
msgBody.msgContentobjectYesMessage content object

Supported msgType values:

ValueDescription
TIMTextElemText message
TIMImageElemImage message
TIMFileElemFile message
TIMSoundElemVoice message
TIMVideoFileElemVideo message
TIMLocationElemLocation message
TIMFaceElemEmoticon message
TIMCustomElemCustom message

Request Example ​

http
POST /merchant-api/seller/im/send-msg HTTP/1.1
Host: paas-gateway.imetastore.io
Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...
Content-Type: application/json

{
  "buyerId": 1907369850568257537,
  "msgRandom": 123456789,
  "msgBody": {
    "msgType": "TIMTextElem",
    "msgContent": {
      "text": "Hello! Your order has been delivered."
    }
  }
}

Field Name Convention

In actual requests, the first letter of msgBody field names should be lowercase. For example: {"msgType":"TIMTextElem","msgContent":{"text":"Hello!"}}

Success Response ​

json
{
  "code": "0000",
  "msg": "Success",
  "time": "2025-12-17T13:44:16.000Z"
}

All game copyrights, trademarks, and service marks belong to their respective owners.